package ink.wgink.gateway.pojo.vos.route;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.index.Indexed;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RouteVO
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 6:45 下午
 * @Version: 1.0
 */
@Data
@ToString
public class RouteVO {

    private String system;
    private String summary;
    private String outUrl;
    private String inUrl;

    public String getSystem() {
        return system == null ? "" : system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getSummary() {
        return summary == null ? "" : summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getOutUrl() {
        return outUrl == null ? "" : outUrl;
    }

    public void setOutUrl(String outUrl) {
        this.outUrl = outUrl;
    }

    public String getInUrl() {
        return inUrl == null ? "" : inUrl;
    }

    public void setInUrl(String inUrl) {
        this.inUrl = inUrl;
    }
}
