package ink.wgink.gateway.pojo.pos.route;

import ink.wgink.gateway.pojo.BasePOJO;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoutePO
 * @Description: 路由
 * @Author: wanggeng
 * @Date: 2021/4/13 5:20 下午
 * @Version: 1.0
 */
@Data
@ToString
@Document(collection = "sys_route")
public class RoutePO extends BasePOJO implements Serializable {
    private static final long serialVersionUID = 3471850588453134724L;
    @Indexed
    private String system;
    private String summary;
    @Indexed
    private String outUrl;
    @Indexed
    private String inUrl;

}
